# member-administration-server

Memberadministration

Authentications is realized via JWT-Tokens. The server is able to send Mails to the members.
Login is possible via Username and TOTP.

## Installation

### Requirements

1. MySql Database
2. Access to the internet for sending Mails

### Configuration

1. Copy the .env.example file to .env and fill in the required information
2. Create a new Database in MySql named as in the .env file
3. Install all packages via `npm install`
4. Start the application to create the database schema

## Testing

1. Install the database-system-package you like (e.g. mysql, mariadb, postgresql, sqlite3)
2. Configure type inside src/data-source.ts to run the database-system you like.
3. Set migrationsRun to false and synchronize to true for rapid prototyping
4. Building the schema via CLI:
   - Run `npm run update-database` to build the schema using the migrations without starting the application
   - Run `npm run synchronize-database` to build the schema without using migrations without starting the application
5. Run `npm run dev` to run inside dev-environment (runs migrations if migrationsRun is set to true)
