import express, { Request, Response } from "express";
import { getDatabaseExport, importDatabaseExport } from "../../controller/admin/exportController";

const router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getDatabaseExport(req, res);
});

router.post("/", async (req: Request, res: Response) => {
  await importDatabaseExport(req, res);
});


export default router;
